Bug 466802 - Banshee crashes when MTP device connected [NEEDINFO]
Banshee crashes when MTP device connected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
10
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 13:45 EDT by Bartosz Malasiewicz
Modified: 2009-12-18 01:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: needinfo? (bartucha82)


Attachments (Terms of Use)
Debug log from banshee 1.3.3 (9.85 KB, application/octet-stream)
2008-10-25 11:10 EDT, Bartosz Malasiewicz
no flags Details

  None (edit)
Description Bartosz Malasiewicz 2008-10-13 13:45:14 EDT
When connecting a MTP device, banshee crashes with such debug output:
** (/usr/lib/banshee-1/Banshee.exe:23891): WARNING **: Symbol file /usr/lib/mono/gac/Mono.Addins/0.3.0.0__0738eb9f132ed756/Mono.Addins.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll.mdb has incorrect version (expected 50.0, got 39)
[Debug 18:00:10.613] Bus.Session.RequestName ('org.bansheeproject.Banshee') replied with PrimaryOwner
[Debug 18:00:10.624] Core service started (DBusServiceManager, 0,002751s)
[Debug 18:00:10.630] Registering remote object /org/bansheeproject/Banshee/DBusCommandService (Banshee.ServiceStack.DBusCommandService) on org.bansheeproject.Banshee
[Debug 18:00:10.650] Core service started (DBusCommandService, 0,024664s)
[Debug 18:00:10.740] Opened SQLite connection to /home/bartek/.config/banshee-1/banshee.db
[Debug 18:00:10.740] Core service started (DbConnection, 0,089921s)
[Debug 18:00:10.755] Database version 22 is up to date
[Debug 18:00:10.782] Core service started (PreferenceService, 0,025335s)
[Debug 18:00:10.783] Registering remote object /org/bansheeproject/Banshee/SourceManager (Banshee.Sources.SourceManager) on org.bansheeproject.Banshee
[Debug 18:00:10.783] Core service started (SourceManager, 0,001206s)
[Debug 18:00:11.256] Core service started (MediaProfileManager, 0,47295s)
[Debug 18:00:11.259] Registering remote object /org/bansheeproject/Banshee/PlayerEngine (Banshee.MediaEngine.PlayerEngineService) on org.bansheeproject.Banshee
[Debug 18:00:11.262] Core service started (PlayerEngine, 0,005582s)
[Debug 18:00:11.289] Configuration client extension loaded (Banshee.GnomeBackend.GConfConfigurationClient)
[Debug 18:00:11.397] IO provider extension loaded (Banshee.IO.Unix.Provider)
[Debug 18:00:11.419] Core service started (TranscoderService, 0,026709s)
[Debug 18:00:11.433] Registering remote object /org/bansheeproject/Banshee/PlaybackController (Banshee.PlaybackController.PlaybackControllerService) on org.bansheeproject.Banshee
[Debug 18:00:11.437] Core service started (PlaybackController, 0,017718s)
[Debug 18:00:11.438] Core service started (ImportSourceManager, 0,000919s)
[Debug 18:00:11.449] Core service started (LibraryImportManager, 0,010672s)
[Debug 18:00:11.450] Core service started (UserJobManager, 0,000643s)
[Debug 18:00:11.480] Core service started (HardwareManager, 0,028723s)
[Debug 18:00:11.485] Bus.Session.RequestName ('org.bansheeproject.CollectionIndexer') replied with PrimaryOwner
[Debug 18:00:11.488] Registering remote object /org/bansheeproject/Banshee/CollectionIndexerService (Banshee.Collection.Indexer.CollectionIndexerService) on org.bansheeproject.CollectionIndexer
[Debug 18:00:11.490] Core service started (CollectionIndexerService, 0,009623s)
[Debug 18:00:11.537] Adding icon theme search path: /usr/share/banshee-1/icons
[Debug 18:00:11.539] Core service started (GtkElementsService, 0,049143s)
[Debug 18:00:11.680] Core service started (InterfaceActionService, 0,140478s)
[Debug 18:00:11.684] Album artwork path set to /home/bartek/.cache/album-art
[Debug 18:00:11.685] Core service started (ArtworkManager, 0,004593s)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/taglib-sharp/2.0.3.0__db62eba44689b5b0/taglib-sharp.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/Mono.Addins.Setup/0.3.0.0__0738eb9f132ed756/Mono.Addins.Setup.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/Mono.Addins.Gui/0.3.0.0__0738eb9f132ed756/Mono.Addins.Gui.dll.mdb has incorrect version (expected 50.0, got 39)
[Debug 18:00:12.673] Registering remote object /org/bansheeproject/Banshee/ClientWindow (Nereid.PlayerInterface) on org.bansheeproject.Banshee
[Debug 18:00:12.674] Core service started (NereidPlayerInterface, 0,987941s)
[Debug 18:00:12.681] Using GNOME 2.22 API for Multimedia Keys
[Debug 18:00:12.691] Extension service started (MultimediaKeysService, 0,006097s)
[Debug 18:00:12.704] Extension service started (DaapService, 0,007894s)
[Debug 18:00:12.707] Extension service started (DapService, 0,003061s)
[Debug 18:00:12.782] Extension service started (AudioCdService, 0,074225s)
[Debug 18:00:12.801] Extension service started (BookmarksService, 0,018151s)
[Debug 18:00:12.935] GStreamer pipeline does not run: audioconvert ! xingenc bitrate=128 ! id3v2mux
[Debug 18:00:13.033] GStreamer pipeline does not run: audioconvert ! fluwmaenc bitrate=64000 vbr=false ! fluasfmux
[Debug 18:00:13.033] Extension service started (GStreamerCoreService, 0,232281s)
[Debug 18:00:13.058] (libbanshee:player) Using built-in equalizer element
[Debug 18:00:13.098] Player state change: NotReady -> Ready
[Debug 18:00:13.198] Player state change: Ready -> Idle
[Debug 18:00:13.230] (libbanshee:player) Disabled ReplayGain
[Debug 18:00:13.238] Extension service started (GnomeService, 0,006792s)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/Mono.Zeroconf/1.0.0.75__e60c4f4a95e1099e/Mono.Zeroconf.dll.mdb has incorrect version (expected 50.0, got 39)
[Debug 18:00:13.477] Extension service started (NotificationAreaService, 0,238087s)
[Debug 18:00:13.832] Extension service started (PodcastService, 0,354581s)
[Debug 18:00:13.875] Extension service started (LastfmRecommendationService, 0,042828s)
[Debug 18:00:13.906] Core service started (Network, 0,007254s)
[Debug 18:00:13.907] Audioscrobbler state: connected
[Debug 18:00:13.911] Extension service started (AudioscrobblerService, 0,036273s)
[Debug 18:00:13.915] Extension service started (CoverArtService, 0,003154s)
[Info  18:00:13.924] All services are started 3,309706s
[Debug 18:00:14.567] Registering remote object /org/bansheeproject/Banshee/SourceManager/PlayQueue (Banshee.PlayQueue.PlayQueueSource) on org.bansheeproject.Banshee
[Info  18:00:14.691] GNOME screensaver service not found
[Debug 18:00:14.691] Loaded IScreensaverManager: Banshee.GnomeBackend.GnomeScreensaverManager
[Debug 18:00:14.800] Loaded Default Application Helper: Banshee.GnomeBackend.DefaultApplicationHelper
[Debug 18:00:15.046] Creating Pango.Layout, configuring Cairo.Context
[Debug 18:00:15.145] Creating Pango.Layout, configuring Cairo.Context
[Debug 18:00:15.212] Creating new surface cache for 9216 KB (max) images, capped at 1 MB (113 items)
[Debug 18:00:15.246] Creating Pango.Layout, configuring Cairo.Context
[Info  18:00:15.789] nereid Client Started
[Debug 18:00:15.792] Delayed Initializating Banshee.Podcasting.PodcastService
[Debug 18:00:15.809] Refreshing any podcasts that haven't been updated in over an hour
[Debug 18:00:15.829] Delayed Initializating Banshee.Dap.DapService
[Debug 18:00:15.852] Dap support extension loaded: Banshee.Dap.Mtp
[Debug 18:00:16.334] Dap support extension loaded: Banshee.Dap.MassStorage
[Debug 18:00:16.713] Delayed Initializating Banshee.Daap.DaapService

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono-zeroconf/Mono.Zeroconf.Providers.Avahi.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono/gac/avahi-sharp/1.0.0.0__4d116c78973743f5/avahi-sharp.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:23891): WARNING **: Symbol file /usr/lib/mono-zeroconf/Mono.Zeroconf.Providers.Bonjour.dll.mdb has incorrect version (expected 50.0, got 39)
PTP: Opening session
PTP_ERROR_IO: Trying again after re-initializing USB interface
PTP: Opening session
[Debug 18:00:31.012] Found DAP support (Banshee.Dap.Mtp.MtpSource) for device My Zen
Stacktrace:


Native stacktrace:

	/usr/lib/libmono.so.0 [0x1a3372]
	/usr/lib/libmono.so.0 [0x1c3e43]
	[0x13240c]
	/lib/libc.so.6(strlen+0xb) [0x48e4bb]
	/usr/lib/libmono.so.0(mono_string_new+0x2c) [0x1fbffc]
	/usr/lib/libmono.so.0(mono_string_new_wrapper+0x33) [0x1fc0a3]
	[0x530995a]
	[0x15778be]
	[0x8b99e53]
	/usr/lib/libmono.so.0 [0x17a1c2]
	/usr/lib/libmono.so.0(mono_runtime_invoke+0x73) [0x1f98d3]
	/usr/lib/libmono.so.0 [0x22b176]
	[0x119243d]
	[0x157761b]
	[0x5ae0c4e]
	[0x5ae06a2]
	[0x84d88f6]
	/usr/lib/libmono.so.0 [0x17a1c2]
	/usr/lib/libmono.so.0(mono_runtime_invoke+0x73) [0x1f98d3]
	/usr/lib/libmono.so.0(mono_runtime_invoke_array+0x3ac) [0x1fe6cc]
	/usr/lib/libmono.so.0 [0x1fe91a]
	/usr/lib/libmono.so.0 [0x241a0f]
	/usr/lib/libmono.so.0 [0x241ea0]
	/usr/lib/libmono.so.0 [0x23e19f]
	/usr/lib/libmono.so.0 [0x2b5726]
	/usr/lib/libmono.so.0 [0x2d9665]
	/lib/libpthread.so.0 [0x3da51f]
	/lib/libc.so.6(clone+0x5e) [0x4fb0de]
Comment 1 John Poelstra 2008-10-17 18:53:25 EDT
How reproducible is this error?

What of version Banshee are you running?
Comment 2 Bartosz Malasiewicz 2008-10-18 04:06:08 EDT
Banshee version 1.2.1. Problem occurs every time when I plug in my Creative Zen player. In previous versions of banshee everything was ok. Also under OpenSuse everything is working fine with version 1.2.1.
Comment 3 Bartosz Malasiewicz 2008-10-25 11:10:17 EDT
Created attachment 321507 [details]
Debug log from banshee 1.3.3
Comment 4 Bartosz Malasiewicz 2008-10-25 11:11:05 EDT
I have compiled the development version of banshee (1.3.3) and the problem still exists. I have attached my debug log from this version of banshee. Hope this helps. The system is fully updated. And again, under Opensuse 11.1 beta3 everything is working fine. This seems to be strictly Fedora related. I've examined the spec file from OpenSuse for banshee and they don't add any additional patches to it.
Comment 5 Bug Zapper 2008-11-25 22:49:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Michel Alexandre Salim 2009-01-01 18:47:35 EST
What version of libmtp do you have installed? That looks to be the likely cause.

PS Linus, regarding the libmtp documentation and multilib, perhaps you could split them off into a -doc subpackage? Only the base package and -devel 32-bit packages gets pulled into the 64-bit repositories, so generated documentation files will not cause a conflict if they are not in either subpackages.

Had to do the same to liboggz, which had the same problem.
Comment 7 Bug Zapper 2009-11-18 02:56:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:34:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.